Bug 1478660 - SELinux is preventing pool from 'write' accesses on the sock_file system_bus_socket.
SELinux is preventing pool from 'write' accesses on the sock_file system_bus_...
Status: NEW
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:7f0fe8f9eaef1b1721787f6ba37...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-05 14:11 EDT by Frank Büttner
Modified: 2017-08-31 09:45 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Büttner 2017-08-05 14:11:46 EDT
Description of problem:
SELinux is preventing pool from 'write' accesses on the sock_file system_bus_socket.

*****  Plugin catchall (100. confidence) suggests   **************************

If sie denken, dass es pool standardmäßig erlaubt sein sollte, write Zugriff auf system_bus_socket sock_file zu erhalten.
Then sie sollten dies als Fehler melden.
Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
Do
allow this access for now by executing:
# ausearch -c 'pool' --raw | audit2allow -M my-pool
# semodule -X 300 -i my-pool.pp

Additional Information:
Source Context                system_u:system_r:tlp_t:s0
Target Context                system_u:object_r:system_dbusd_var_run_t:s0
Target Objects                system_bus_socket [ sock_file ]
Source                        pool
Source Path                   pool
Port                          <Unbekannt>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-260.3.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.11.11-300.fc26.x86_64 #1 SMP Mon
                              Jul 17 16:32:11 UTC 2017 x86_64 x86_64
Alert Count                   20
First Seen                    2017-07-30 10:59:39 CEST
Last Seen                     2017-08-05 20:06:24 CEST
Local ID                      00aff3bf-323e-4cd1-8258-f463ba1085f3

Raw Audit Messages
type=AVC msg=audit(1501956384.143:656): avc:  denied  { write } for  pid=6429 comm="pool" name="system_bus_socket" dev="tmpfs" ino=24691 scontext=system_u:system_r:tlp_t:s0 tcontext=system_u:object_r:system_dbusd_var_run_t:s0 tclass=sock_file permissive=1


Hash: pool,tlp_t,system_dbusd_var_run_t,sock_file,write

Version-Release number of selected component:
selinux-policy-3.13.1-260.3.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.11-300.fc26.x86_64
type:           libreport
Comment 1 Frank Büttner 2017-08-20 17:44:52 EDT
Description of problem:
wake up from suspend

Version-Release number of selected component:
selinux-policy-3.13.1-260.4.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.5-300.fc26.x86_64
type:           libreport

Note You need to log in before you can comment on or make changes to this bug.